
#ifndef ACCOUNT_H
#define ACCOUNT_H
/*
 * =====================================================================================
 *        Class:  Account
 *  Description:  
 * =====================================================================================
 */
class Account
{
	public:

		/* ====================  LIFECYCLE     ======================================= */
		//Account ();                             /* constructor      */
		//Account ( const Account &other );       /* copy constructor */
		Account ( double initial_balance );
		~Account (); /* destructor       */

		/* ====================  ACCESSORS     ======================================= */

		// current balance of the Account
		double getBalance() const;

		/* ====================  MUTATORS      ======================================= */

		void deposit(double amount);
		void withdraw(double amount);

		/* ====================  OPERATORS     ======================================= */

		Account& operator = ( const Account &other ); /* assignment operator */

	protected:
		/* ====================  DATA MEMBERS  ======================================= */

	private:
		/* ====================  DATA MEMBERS  ======================================= */

		double balance;

}; /* -----  end of class Account  ----- */

#endif
