#include <iostream>
#include <vector>
#include <unordered_set>

using namespace std;

vector<string> collect_lines(istream& is)
{
	unordered_set<string> s;
	for (string line; getline(is, line); )
		s.insert(line);
	return vector<string>(s.begin(), s.end());
}

int main() {
	auto lines = collect_lines(cin);
	for (const string& line : lines)
		cout << line << endl;
	return 0;
}
